### Abstract ###

Name: scrollkeeper
Version: 0.3.14
Release: 9%{?dist}
License: LGPL
Group: System Environment/Base
Summary: ScrollKeeper is a cataloging system for documentation on open systems.
URL: http://scrollkeeper.sourceforge.net/
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

### Patches ###

Patch1: scrollkeeper-0.3.11-validate-warning.patch
Patch2: scrollkeeper-0.3.14-fix-mkdir-segfault.patch

### Dependencies ###

# These packages have broken OMF
Conflicts: evolution < 1.0.8 
Conflicts: galeon < 1.2.5
Conflicts: ggv < 1.99.9
Conflicts: glade < 1:0.6.4-6
Conflicts: gnome-user-docs < 1.93
Conflicts: nautilus < 2.0.3

Requires: docbook-dtds
Requires: libxml2 >= 2.4.19
Requires: libxslt

### Build Dependencies ###

BuildRequires: intltool >= 0.28
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: docbook-dtds
# For intltool:
BuildRequires: perl-XML-Parser

%description 
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog. It can also communicate
with catalog servers on the Net to search for documents which are not
on the local system.

%prep
%setup -q
%patch1 -p1 -b .validate-warning
%patch2 -p0 -b .fix-mkdir-segfault

%build
#workaround broken perl-XML-Parser on 64bit arches
export PERL5LIB=/usr/lib64/perl5/vendor_perl/5.8.2 perl

%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/scrollkeeper
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_localstatedir}/lib/scrollkeeper/*
:> $RPM_BUILD_ROOT%{_localstatedir}/log/scrollkeeper.log

%clean
rm -rf $RPM_BUILD_ROOT

%pre
rm -rf %{_datadir}/scrollkeeper/Templates || true

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING COPYING.DOC AUTHORS README ChangeLog NEWS INSTALL 
%doc scrollkeeper-spec.txt
%dir %{_datadir}/omf
%{_datadir}/omf/scrollkeeper
%{_bindir}/*
%{_libdir}/*.so*
%{_libdir}/*.a
%{_sysconfdir}/*
%{_mandir}/*/*
%{_datadir}/scrollkeeper
%{_datadir}/xml/scrollkeeper
%dir %{_localstatedir}/lib/scrollkeeper
%ghost %{_localstatedir}/log/scrollkeeper.log

%post
if [ $1 = 2 ]; then
  # Upgrading
  echo "`date +"%b %d %X"` Upgrading to ScrollKeeper `scrollkeeper-config --version`..." >> %{_localstatedir}/log/scrollkeeper.log
fi
if [ $1 = 1 ]; then
  # Installing
  echo "`date +"%b %d %X"` Installing ScrollKeeper `scrollkeeper-config --version`..." >> %{_localstatedir}/log/scrollkeeper.log
fi
scrollkeeper-rebuilddb -p %{_localstatedir}/lib/scrollkeeper >> %{_localstatedir}/log/scrollkeeper.log 2>&1
/sbin/ldconfig

#
# Add OMF DTD to XML catalog. In theory, we should be updating the SGML
# catalog as well and 
#
CATALOG=/etc/xml/catalog
/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
 "http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd" \
 "/usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteURI" \
 "http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd" \
 "/usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" $CATALOG

%postun
if [ $1 = 0 ]; then
  # SK is being removed, not upgraded.  
  #  ie. erase {localstatedir}/lib/scrollkeeper.
  rm -rf %{_localstatedir}/lib/scrollkeeper
  rm -rf %{_localstatedir}/log/scrollkeeper.log
  rm -rf %{_localstatedir}/log/scrollkeeper.log.1

  CATALOG=/etc/xml/catalog
  /usr/bin/xmlcatalog --noout --del \
    "/usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" $CATALOG
fi
/sbin/ldconfig

%changelog
* Tue Nov  7 2006 Matthias Clasen <mclasen@redhat.com> - 0.3.14-9
- Fix Requires  (#214283)

* Thu Sep  7 2006 Matthias Clasen <mclasen@redhat.com> - 0.3.14-8
- Own /usr/share/omf (#205585)

* Tue Aug 22 2006 Matthew Barnes <mbarnes@redhat.com> - 0.3.14-7.1
- Fix the BuildRoot.

* Tue Aug 22 2006 Matthew Barnes <mbarnes@redhat.com> - 0.3.14-7
- Clean up spec file, package .bz2 file instead of .gz.
- Make intltool a BuildRequires instead of a Requires (RH bug #203606).

* Fri Jul 14 2006 Jesse Keating <jkeating@redhat.com> - 0.3.14-6
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.3.14-5.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.3.14-5.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar 16 2005 David Zeuthen <davidz@redhat.com> 0.3.14-5
- Fix segfault (#151385)

* Wed Mar 16 2005 David Zeuthen <davidz@redhat.com>
- Rebuild

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 0.3.14-1
- Upgrade to 0.3.14

* Fri Aug 29 2003 Alexander Larsson <alexl@redhat.com> 0.3.12-2
- fix gnome-applets segfault #103150

* Mon Aug 18 2003 Alexander Larsson <alexl@redhat.com> 0.3.12-1
- Update to 0.3.12

* Thu Aug  7 2003 Havoc Pennington <hp@redhat.com> 0.3.11-6
- remove the warning on invalid OMF files, it's always just some
  broken translation and happens with every release

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Fri Feb 14 2003 Elliot Lee <sopwith@redhat.com> 0.3.11-4
- Make it build even if scrollkeeper is not already installed

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 25 2002 Tim Powers <timp@redhat.com> 0.3.11-2
- fix references to %%install in the changelog so that it will build

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 0.3.11-1
- Update to 0.3.11

* Mon Dec 02 2002 Elliot Lee <sopwith@redhat.com> 0.3.10-8
- Fix unpackaged files

* Tue Aug 20 2002 Tim Waugh <twaugh@redhat.com> 0.3.10-7
- Fix %%postun again.

* Mon Aug 19 2002 Alexander Larsson <alexl@redhat.com> 0.3.10-6
- Added patch #3

* Mon Aug 12 2002 Bill Nottingham <notting@redhat.com>
- remove extraneous 'done' from %%postun

* Wed Aug  7 2002 Havoc Pennington <hp@redhat.com>
- conflict with a lot of packages with broken omf; #69815
- don't require libxml1

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Make scrollkeeper-update quieter by default
- Add OMF DTD to XML catalog

* Mon Jun 24 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.3.10

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.9-2
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.9-1
- make relations optional to comply with the online copy of the OMF 1.0 spec
  at http://www.ibiblio.org/osrt/omf/omf_elements (SF #568355)
- 0.3.9

* Thu May 30 2002 Havoc Pennington <hp@redhat.com>
- 0.3.8
- no .la files
- add some missing stuff to file list
- divert output of rebuilddb to scrollkeeper.log

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- fix libxml include statements, #63362

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- rebuild in new environment
- ignore errors on removal of share/scrollkeeper/Templates in pre, #59494

* Wed Jan 30 2002 Alex Larsson <alexl@redhat.com> 0.3.4-2
- Moved %find_lang to %%install
- Updated docbook dependency to docbook-dtds

* Mon Jan 28 2002 Alex Larsson <alexl@redhat.com> 0.3.4-2
- Updated to 0.3.4 from upstream. Updated parts of
- the specfile from the current upstream version.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Sun Jul  8 2001 Tim Powers <timp@redhat.com>
- languify and add ldconfig to satisfy rpmlint

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.
- Use _smp_mflags macro if applicable
* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- Added to Red Hat build system

* Mon Mar 5 2001 Dan Mueth <dan@eazel.com>
- Added %postun to remove $datadir/scrollkeeper/templates
  to compensate for breakage in upgrade from 0.1.1 to 0.1.2

* Sun Mar 4 2001 Dan Mueth <dan@eazel.com>
- Added cleaner symbolic link section suggested by Karl 
  Eichwalder <keichwa@users.sourceforge.net>
- Have it blow away the database dir on first install, just
  in case an old tarball version had been installed
- Fixing the Source0 line at the top

* Tue Feb 15 2001 Dan Mueth <dan@eazel.com>
- added line to include the translations .mo file

* Tue Feb 06 2001 Dan Mueth <dan@eazel.com>
- fixed up pre and post installation scripts

* Tue Feb 06 2001 Laszlo Kovacs <laszlo.kovacs@sun.com>
- added all the locale directories and links for the template
  content list files

* Wed Jan 17 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- converted to scrollkeeper.spec.in

* Sat Dec 16 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- help files added

* Fri Dec 8 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- various small fixes added

* Thu Dec 7 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- fixing localstatedir problem
- adding postinstall and postuninstall scripts

* Tue Dec 5 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- adding COPYING, AUTHORS, etc
- fixed localstatedir for the OMF files

* Fri Nov 10 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- Initial spec file created.


